<?php
QUnit_Global::includeClass('QCore_Sql_Table');

class QCore_Sql_Table_Impressions extends QCore_Sql_Table {

    function QCore_Sql_Table_Impressions() {
        $this->addColumn('impressionid', WD_PATTERN_DEFAULT);
        $this->addColumn('accountid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('dateimpression', WD_PATTERN_DEFAULT);
        $this->addColumn('bannerid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('affiliateid', WD_PATTERN_DEFAULT, false);
        $this->addColumn('all_imps_count', WD_PATTERN_DEFAULT, false);
        $this->addColumn('unique_imps_count', WD_PATTERN_DEFAULT, false);
        $this->addColumn('comissiongiven', WD_PATTERN_DEFAULT);
        $this->addColumn('data1', WD_PATTERN_DEFAULT, false);
    }
        
    function getTableName() {
        return 'wd_pa_impressions';
    }
    
        
    function getPkName() {
        return 'impressionid';
    }            
}
?>
